# -*- coding: utf-8 -*-

from odoo import api, models
from odoo.addons.saas_worker import const
from odoo.addons.saas_worker.util import version_gte


class IrQWeb(models.AbstractModel):
    _inherit = 'ir.qweb'

    def _prepare_openerp_theme_values(self, values):
        """ Update the values and context with ODOO_*_URL specific values """
        installed_modules = self.env.registry._init_modules
        is_website = "openerp_website" in installed_modules
        is_apps = "loempia" in installed_modules

        values.update(
            ODOO_WEBSITE_URL=const.WEBSITE if not is_website else "",
            ODOO_APPS_URL=const.APPS_URL if not is_apps else "",
        )

    def _prepare_frontend_environment(self, values):
        irQweb = super()._prepare_frontend_environment(values)
        self._prepare_openerp_theme_values(values)
        return irQweb
